Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class QueryScope

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.QueryScope

public class QueryScope
extends Object

An enumeration of values for the `<query>` element's `scope` attribute.

Field Summary
`static QueryScope` | `ENTRY` Entry scope limits a queries scope to the base object.
`static QueryScope` | `SUBORDINATES` Subtree scope limits a queries scope to the children of the base object, excluding the base object.
`static QueryScope` | `SUBTREE` Subtree scope limits a queries scope to the base object and all of its descendants.

Method Summary
`String` | `toString()` Returns the equivalent DTD string value of this object (e.g., "entry", "subtree", "subordinates").

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ENTRY

    public static final QueryScope ENTRY

  Entry scope limits a queries scope to the base object.

  The base object of a query is specified by either the `dest-dn` attribute or child `<association>` element. When both are present, the `<association>` takes precedence. If neither are present, the base object defaults to the root object in a hierarchical name space or all ojects in a non-hierarchical name space.

### SUBTREE

    public static final QueryScope SUBTREE

  Subtree scope limits a queries scope to the base object and all of its descendants.

  The base object of a query is specified by either the `dest-dn` attribute or child `<association>` element. When both are present, the `<association>` takes precedence. If neither are present, the base object defaults to the root object in a hierarchical name space or all ojects in a non-hierarchical name space.

### SUBORDINATES

    public static final QueryScope SUBORDINATES

  Subtree scope limits a queries scope to the children of the base object, excluding the base object.

  The base object of a query is specified by either the `dest-dn` attribute or child `<association>` element. When both are present, the `<association>` takes precedence. If neither are present, the base object defaults to the root object in a hierarchical name space or all ojects in a non-hierarchical name space.

Method Detail

### toString

    public final String toString()

  Returns the equivalent DTD string value of this object (e.g., "entry", "subtree", "subordinates").

  Returns:
    will not return null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD